Author Topic: Trying To Use AGS Latest Build On Windows 7 BUT...(SOLVED)  (Read 793 times)

But you tried to update windows before and got error 80072EFE (a very common one). As far as I can tell, if Windows 7 is too old, it will refuse to update via the built-in mechanism and you have to manually install a sufficient update first to get Windows Update to work again.
So I don't think merely clicking the flag is what completely fixed it, that's just a notification about outstanding updates but trying to install them will still fail with a fresh (and therefore severely outdated) Win7 installation.

I'm fairly certain that one of the updates you downloaded was what fixed it, since it was the exact same for me (only I used a different pack of updates).

Mandle

  • NO PIXEL LEFT BEHIND!!!
    • Mandle worked on one or more games that won an AGS Award!
    •  
    • Mandle worked on one or more games that was nominated for an AGS Award!
But you tried to update windows before and got error 80072EFE (a very common one). As far as I can tell, if Windows 7 is too old, it will refuse to update via the built-in mechanism and you have to manually install a sufficient update first to get Windows Update to work again.
So I don't think merely clicking the flag is what completely fixed it, that's just a notification about outstanding updates but trying to install them will still fail with a fresh (and therefore severely outdated) Win7 installation.

I'm fairly certain that one of the updates you downloaded was what fixed it, since it was the exact same for me (only I used a different pack of updates).

I had tried opening AGS just before the flag notice. But it failed.

When I clicked the flag and did the update I expected it to fail as usual but it succeeded. Then AGS would open properly without the errors. All I know.

Right, but you did install some update before clicking the flag, right?

The key issue here isn't really whether AGS worked but why the update worked when it wouldn't before. If you did install SP1 that would explain it. I don't know what exactly you installed though, the one link you posted is for a very minor update and not found on the site I liked to afaik.

Anyway, I'll do a quick test now with a fresh installation and will report which update is required.

Glad you figured it out.